DropDownMenuRendererBase (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.renderkit.html.DropDownMenuRendererBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class DropDownMenuRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.html.AbstractMenuRenderer
                      org.richfaces.renderkit.html.DropDownMenuRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  DropDownMenuRenderer

    public class DropDownMenuRendererBase

extends AbstractMenuRenderer

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`DropDownMenuRendererBase()`

Method Summary
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class<UIDropDownMenu>` | `getComponentClass()`
`protected java.lang.String` | `getLayerScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `processLayerStyles(javax.faces.context.FacesContext context, javax.faces.component.UIComponent layer, javax.faces.context.ResponseWriter writer)`

Methods inherited from class org.richfaces.renderkit.html.AbstractMenuRenderer
`encodeItems, encodeScript, getItemScript, getRendersChildren, getScripts, getStyles, processLayer`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, getHeaderScripts, getHeaderStyles, preEncodeBegin`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DropDownMenuRendererBase

    public DropDownMenuRendererBase()

Method Detail

### getComponentClass

    protected java.lang.Class<UIDropDownMenu> getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### getLayerScript

    protected java.lang.String getLayerScript(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component)

  Specified by:
    `getLayerScript` in class `AbstractMenuRenderer`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `AbstractMenuRenderer`
  Throws:
    `java.io.IOException`

### processLayerStyles

    protected void processLayerStyles(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent layer,
                                      javax.faces.context.ResponseWriter writer)
                               throws java.io.IOException

  Specified by:
    `processLayerStyles` in class `AbstractMenuRenderer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.